Magick++: Magick Namespace Reference

Magick++ 6.9.6

Classes | Typedefs | Functions | Variables
Magick Namespace Reference

## Classes
class | Blob
class | BlobRef
class | ChannelMoments
class | ImageMoments
class | CoderInfo
class | Color
class | ColorGray
class | ColorHSL
class | ColorMono
class | ColorRGB
class | ColorYUV
class | Coordinate
class | DrawableBase
class | Drawable
class | VPathBase
class | VPath
class | DrawableAffine
class | DrawableArc
class | DrawableBezier
class | DrawablePopClipPath
class | DrawablePushClipPath
class | DrawableClipPath
class | DrawableCircle
class | DrawableColor
class | DrawableCompositeImage
class | DrawableDensity
class | DrawableEllipse
class | DrawableFillColor
class | DrawableFillRule
class | DrawableFillOpacity
class | DrawableFont
class | DrawableGravity
class | DrawableLine
class | DrawableMatte
class | DrawablePath
class | DrawablePoint
class | DrawablePointSize
class | DrawablePolygon
class | DrawablePolyline
class | DrawablePopGraphicContext
class | DrawablePushGraphicContext
class | DrawablePopPattern
class | DrawablePushPattern
class | DrawableRectangle
class | DrawableRotation
class | DrawableRoundRectangle
class | DrawableScaling
class | DrawableSkewX
class | DrawableSkewY
class | DrawableDashArray
class | DrawableDashOffset
class | DrawableStrokeLineCap
class | DrawableStrokeLineJoin
class | DrawableMiterLimit
class | DrawableStrokeAntialias
class | DrawableStrokeColor
class | DrawableStrokeOpacity
class | DrawableStrokeWidth
class | DrawableText
class | DrawableTextAntialias
class | DrawableTextDecoration
class | DrawableTextDirection
class | DrawableTextInterlineSpacing
class | DrawableTextInterwordSpacing
class | DrawableTextKerning
class | DrawableTextUnderColor
class | DrawableTranslation
class | DrawableViewbox
class | PathArcArgs
class | PathArcAbs
class | PathArcRel
class | PathClosePath
class | PathCurvetoArgs
class | PathCurvetoAbs
class | PathCurvetoRel
class | PathSmoothCurvetoAbs
class | PathSmoothCurvetoRel
class | PathQuadraticCurvetoArgs
class | PathQuadraticCurvetoAbs
class | PathQuadraticCurvetoRel
class | PathSmoothQuadraticCurvetoAbs
class | PathSmoothQuadraticCurvetoRel
class | PathLinetoAbs
class | PathLinetoRel
class | PathLinetoHorizontalAbs
class | PathLinetoHorizontalRel
class | PathLinetoVerticalAbs
class | PathLinetoVerticalRel
class | PathMovetoAbs
class | PathMovetoRel
class | Exception
class | Error
class | ErrorBlob
class | ErrorCache
class | ErrorCoder
class | ErrorConfigure
class | ErrorCorruptImage
class | ErrorDelegate
class | ErrorDraw
class | ErrorFileOpen
class | ErrorImage
class | ErrorMissingDelegate
class | ErrorModule
class | ErrorMonitor
class | ErrorOption
class | ErrorPolicy
class | ErrorRegistry
class | ErrorResourceLimit
class | ErrorStream
class | ErrorType
class | ErrorUndefined
class | ErrorXServer
class | Warning
class | WarningBlob
class | WarningCache
class | WarningCoder
class | WarningConfigure
class | WarningCorruptImage
class | WarningDelegate
class | WarningDraw
class | WarningFileOpen
class | WarningImage
class | WarningMissingDelegate
class | WarningModule
class | WarningMonitor
class | WarningOption
class | WarningPolicy
class | WarningRegistry
class | WarningResourceLimit
class | WarningStream
class | WarningType
class | WarningUndefined
class | WarningXServer
class | Geometry
class | Offset
class | Image
class | ImageRef
class | Montage
class | MontageFramed
class | Options
class | Pixels
class | PixelData
class | ResourceLimits
class | adaptiveBlurImage
class | adaptiveThresholdImage
class | addNoiseImage
class | affineTransformImage
class | annotateImage
class | blurImage
class | borderImage
class | channelImage
class | charcoalImage
class | chopImage
class | cdlImage
class | colorizeImage
class | colorMatrixImage
class | colorSpaceImage
class | commentImage
class | compositeImage
class | contrastImage
class | cropImage
class | cycleColormapImage
class | despeckleImage
class | distortImage
class | drawImage
class | edgeImage
class | embossImage
class | enhanceImage
class | equalizeImage
class | fillColorImage
class | flipImage
class | floodFillColorImage
class | floodFillTextureImage
class | flopImage
class | frameImage
class | gammaImage
class | gaussianBlurImage
class | haldClutImage
class | implodeImage
class | inverseFourierTransformImage
class | isValidImage
class | labelImage
class | levelImage
class | levelChannelImage
class | magnifyImage
class | mapImage
class | matteFloodfillImage
class | medianFilterImage
class | mergeLayersImage
class | minifyImage
class | modulateImage
class | negateImage
class | normalizeImage
class | oilPaintImage
class | opacityImage
class | opaqueImage
class | quantizeImage
class | raiseImage
class | ReadOptions
class | reduceNoiseImage
class | resizeImage
class | rollImage
class | rotateImage
class | sampleImage
class | scaleImage
class | segmentImage
class | shadeImage
class | shadowImage
class | sharpenImage
class | shaveImage
class | shearImage
class | solarizeImage
class | spliceImage
class | spreadImage
class | steganoImage
class | stereoImage
class | strokeColorImage
class | swirlImage
class | textureImage
class | thresholdImage
class | transformImage
class | transparentImage
class | trimImage
class | waveImage
class | zoomImage
class | antiAliasImage
class | adjoinImage
class | animationDelayImage
class | animationIterationsImage
class | backgroundColorImage
class | backgroundTextureImage
class | borderColorImage
class | boxColorImage
class | chromaBluePrimaryImage
class | chromaGreenPrimaryImage
class | chromaRedPrimaryImage
class | chromaWhitePointImage
class | colorFuzzImage
class | colorMapImage
class | composeImage
class | compressTypeImage
class | densityImage
class | depthImage
class | endianImage
class | fileNameImage
class | filterTypeImage
class | fontImage
class | fontPointsizeImage
class | gifDisposeMethodImage
class | interlaceTypeImage
class | lineWidthImage
class | magickImage
class | matteImage
class | matteColorImage
class | monochromeImage
class | penColorImage
class | penTextureImage
class | pixelColorImage
class | pageImage
class | qualityImage
class | quantizeColorsImage
class | quantizeColorSpaceImage
class | quantizeDitherImage
class | quantizeTreeDepthImage
class | renderingIntentImage
class | resolutionUnitsImage
class | sceneImage
class | sigmoidalContrastImage
class | sizeImage
class | stripImage
class | subImageImage
class | subRangeImage
class | tileNameImage
class | typeImage
class | verboseImage
class | viewImage
class | x11DisplayImage
class | MutexLock
class | Lock
class | TypeMetric

## Typedefs
typedef std::list < Magick::Coordinate > | CoordinateList
typedef std::list < Magick::Drawable > | DrawableList
typedef std::list< Magick::VPath > | VPathList
typedef std::list < Magick::PathArcArgs > | PathArcArgsList
typedef std::list < Magick::PathCurvetoArgs > | PathCurveToArgsList
typedef std::list < Magick::PathQuadraticCurvetoArgs > | PathQuadraticCurvetoArgsList

## Functions
MagickPPExport int | operator== (const Magick::Color &left_, const Magick::Color &right_)
MagickPPExport int | operator!= (const Magick::Color &left_, const Magick::Color &right_)
MagickPPExport int | operator> (const Magick::Color &left_, const Magick::Color &right_)
MagickPPExport int | operator< (const Magick::Color &left_, const Magick::Color &right_)
MagickPPExport int | operator>= (const Magick::Color &left_, const Magick::Color &right_)
MagickPPExport int | operator<= (const Magick::Color &left_, const Magick::Color &right_)
MagickPPExport int | operator== (const Coordinate &left_, const Coordinate &right_)
MagickPPExport int | operator!= (const Coordinate &left_, const Coordinate &right_)
MagickPPExport int | operator> (const Coordinate &left_, const Coordinate &right_)
MagickPPExport int | operator< (const Coordinate &left_, const Coordinate &right_)
MagickPPExport int | operator>= (const Coordinate &left_, const Coordinate &right_)
MagickPPExport int | operator<= (const Coordinate &left_, const Coordinate &right_)
MagickPPExport int | operator== (const Drawable &left_, const Drawable &right_)
MagickPPExport int | operator!= (const Drawable &left_, const Drawable &right_)
MagickPPExport int | operator> (const Drawable &left_, const Drawable &right_)
MagickPPExport int | operator< (const Drawable &left_, const Drawable &right_)
MagickPPExport int | operator>= (const Drawable &left_, const Drawable &right_)
MagickPPExport int | operator<= (const Drawable &left_, const Drawable &right_)
MagickPPExport int | operator== (const VPath &left_, const VPath &right_)
MagickPPExport int | operator!= (const VPath &left_, const VPath &right_)
MagickPPExport int | operator> (const VPath &left_, const VPath &right_)
MagickPPExport int | operator< (const VPath &left_, const VPath &right_)
MagickPPExport int | operator>= (const VPath &left_, const VPath &right_)
MagickPPExport int | operator<= (const VPath &left_, const VPath &right_)
MagickPPExport int | operator== (const PathArcArgs &left_, const PathArcArgs &right_)
MagickPPExport int | operator!= (const PathArcArgs &left_, const PathArcArgs &right_)
MagickPPExport int | operator> (const PathArcArgs &left_, const PathArcArgs &right_)
MagickPPExport int | operator< (const PathArcArgs &left_, const PathArcArgs &right_)
MagickPPExport int | operator>= (const PathArcArgs &left_, const PathArcArgs &right_)
MagickPPExport int | operator<= (const PathArcArgs &left_, const PathArcArgs &right_)
MagickPPExport int | operator== (const PathCurvetoArgs &left_, const PathCurvetoArgs &right_)
MagickPPExport int | operator!= (const PathCurvetoArgs &left_, const PathCurvetoArgs &right_)
MagickPPExport int | operator> (const PathCurvetoArgs &left_, const PathCurvetoArgs &right_)
MagickPPExport int | operator< (const PathCurvetoArgs &left_, const PathCurvetoArgs &right_)
MagickPPExport int | operator>= (const PathCurvetoArgs &left_, const PathCurvetoArgs &right_)
MagickPPExport int | operator<= (const PathCurvetoArgs &left_, const PathCurvetoArgs &right_)
MagickPPExport int | operator== (const PathQuadraticCurvetoArgs &left_, const PathQuadraticCurvetoArgs &right_)
MagickPPExport int | operator!= (const PathQuadraticCurvetoArgs &left_, const PathQuadraticCurvetoArgs &right_)
MagickPPExport int | operator> (const PathQuadraticCurvetoArgs &left_, const PathQuadraticCurvetoArgs &right_)
MagickPPExport int | operator< (const PathQuadraticCurvetoArgs &left_, const PathQuadraticCurvetoArgs &right_)
MagickPPExport int | operator>= (const PathQuadraticCurvetoArgs &left_, const PathQuadraticCurvetoArgs &right_)
MagickPPExport int | operator<= (const PathQuadraticCurvetoArgs &left_, const PathQuadraticCurvetoArgs &right_)
std::string | formatExceptionMessage (const MagickCore::ExceptionInfo *exception_)
Exception * | createException (const MagickCore::ExceptionInfo *exception_)
MagickPPExport void | throwExceptionExplicit (const MagickCore::ExceptionType severity_, const char *reason_, const char *description_=(char *) NULL)
MagickPPExport void | throwException (MagickCore::ExceptionInfo *exception_, const bool quiet_=false)
MagickPPExport void | CloneString (char **destination_, const std::string &source_)
MagickPPExport void | DisableOpenCL (void)
MagickPPExport bool | EnableOpenCL (const bool useCache_=true)
MagickPPExport void | InitializeMagick (const char *path_)
MagickPPExport void | SetRandomSeed (const unsigned long seed)
MagickPPExport void | TerminateMagick ()
MagickPPExport int | operator== (const Magick::Geometry &left_, const Magick::Geometry &right_)
MagickPPExport int | operator!= (const Magick::Geometry &left_, const Magick::Geometry &right_)
MagickPPExport int | operator> (const Magick::Geometry &left_, const Magick::Geometry &right_)
MagickPPExport int | operator< (const Magick::Geometry &left_, const Magick::Geometry &right_)
MagickPPExport int | operator>= (const Magick::Geometry &left_, const Magick::Geometry &right_)
MagickPPExport int | operator<= (const Magick::Geometry &left_, const Magick::Geometry &right_)
MagickPPExport int | operator== (const Magick::Offset &left_, const Magick::Offset &right_)
MagickPPExport int | operator!= (const Magick::Offset &left_, const Magick::Offset &right_)
MagickPPExport int | operator== (const Magick::Image &left_, const Magick::Image &right_)
MagickPPExport int | operator!= (const Magick::Image &left_, const Magick::Image &right_)
MagickPPExport int | operator> (const Magick::Image &left_, const Magick::Image &right_)
MagickPPExport int | operator< (const Magick::Image &left_, const Magick::Image &right_)
MagickPPExport int | operator>= (const Magick::Image &left_, const Magick::Image &right_)
MagickPPExport int | operator<= (const Magick::Image &left_, const Magick::Image &right_)
template<class InputIterator >
bool | linkImages (InputIterator first_, InputIterator last_)
template<class InputIterator >
void | unlinkImages (InputIterator first_, InputIterator last_)
template<class Container >
void | insertImages (Container *sequence_, MagickCore::Image *images_)
template<class InputIterator >
void | animateImages (InputIterator first_, InputIterator last_)
template<class InputIterator >
void | appendImages (Image *appendedImage_, InputIterator first_, InputIterator last_, bool stack_=false)
template<class Container >
void | artifactNames (Container *names_, const Image *image_)
template<class Container >
void | attributeNames (Container *names_, const Image *image_)
template<class InputIterator >
void | averageImages (Image *averagedImage_, InputIterator first_, InputIterator last_)
template<class InputIterator , class Container >
void | coalesceImages (Container *coalescedImages_, InputIterator first_, InputIterator last_)
template<class Container >
void | coderInfoList (Container *container_, CoderInfo::MatchType isReadable_=CoderInfo::AnyMatch, CoderInfo::MatchType isWritable_=CoderInfo::AnyMatch, CoderInfo::MatchType isMultiFrame_=CoderInfo::AnyMatch)
template<class Container >
void | colorHistogram (Container *histogram_, const Image image)
template<class InputIterator >
void | combineImages (Image *combinedImage_, InputIterator first_, InputIterator last_, const ChannelType channel_)
template<class Container >
void | cropToTiles (Container *tiledImages_, const Image image_, const Geometry &geometry_)
template<class InputIterator , class Container >
void | deconstructImages (Container *deconstructedImages_, InputIterator first_, InputIterator last_)
template<class InputIterator >
void | displayImages (InputIterator first_, InputIterator last_)
template<class InputIterator >
void | evaluateImages (Image *evaluatedImage_, InputIterator first_, InputIterator last_, const MagickEvaluateOperator operator_)
template<class InputIterator >
void | flattenImages (Image *flattendImage_, InputIterator first_, InputIterator last_)
template<class Container >
void | forwardFourierTransformImage (Container *fourierImages_, const Image &image_)
template<class Container >
void | forwardFourierTransformImage (Container *fourierImages_, const Image &image_, const bool magnitude_)
template<class InputIterator >
void | fxImages (Image *fxImage_, InputIterator first_, InputIterator last_, const std::string expression)
template<class InputIterator >
void | mapImages (InputIterator first_, InputIterator last_, const Image &mapImage_, bool dither_=false, bool measureError_=false)
template<class InputIterator >
void | mergeImageLayers (Image *mergedImage_, InputIterator first_, InputIterator last_, const ImageLayerMethod method_)
template<class Container , class InputIterator >
void | montageImages (Container *montageImages_, InputIterator first_, InputIterator last_, const Montage &options_)
template<class InputIterator , class Container >
void | morphImages (Container *morphedImages_, InputIterator first_, InputIterator last_, size_t frames_)
template<class InputIterator >
void | mosaicImages (Image *mosaicImage_, InputIterator first_, InputIterator last_)
template<class InputIterator , class Container >
void | optimizeImageLayers (Container *optimizedImages_, InputIterator first_, InputIterator last_)
template<class InputIterator , class Container >
void | optimizePlusImageLayers (Container *optimizedImages_, InputIterator first_, InputIterator last_)
template<class InputIterator >
void | optimizeTransparency (InputIterator first_, InputIterator last_)
template<class Container >
void | profileNames (Container *names_, const Image *image_)
template<class InputIterator >
void | quantizeImages (InputIterator first_, InputIterator last_, bool measureError_=false)
template<class Container >
void | readImages (Container *sequence_, const std::string &imageSpec_, ReadOptions &options)
template<class Container >
void | readImages (Container *sequence_, const std::string &imageSpec_)
template<class Container >
void | readImages (Container *sequence_, const Blob &blob_, ReadOptions &options)
template<class Container >
void | readImages (Container *sequence_, const Blob &blob_)
template<class Container >
void | separateImages (Container *separatedImages_, const Image &image_, const ChannelType channel_)
template<class InputIterator >
void | smushImages (Image *smushedImage_, InputIterator first_, InputIterator last_, const ssize_t offset_, bool stack_=false)
template<class InputIterator >
void | writeImages (InputIterator first_, InputIterator last_, const std::string &imageSpec_, bool adjoin_=true)
template<class InputIterator >
void | writeImages (InputIterator first_, InputIterator last_, Blob *blob_, bool adjoin_=true)

## Variables
class MagickPPExport | Color
class MagickPPExport | Image
class MagickPPExport | Geometry
class MagickPPExport | Offset
MagickPPExport const char * | borderGeometryDefault ="6x6+0+0"
MagickPPExport const char * | frameGeometryDefault ="25x25+6+6"
MagickPPExport const char * | raiseGeometryDefault ="6x6+0+0"

## Typedef Documentation

typedef std::list<Magick::Coordinate> Magick::CoordinateList

Definition at line 84 of file Drawable.h.

typedef std::list<Magick::Drawable> Magick::DrawableList

Definition at line 173 of file Drawable.h.

typedef std::list<Magick::PathArcArgs> Magick::PathArcArgsList

Definition at line 2357 of file Drawable.h.

typedef std::list<Magick::PathCurvetoArgs> Magick::PathCurveToArgsList

Definition at line 2531 of file Drawable.h.

typedef std::list<Magick::PathQuadraticCurvetoArgs> Magick::PathQuadraticCurvetoArgsList

Definition at line 2712 of file Drawable.h.

typedef std::list<Magick::VPath> Magick::VPathList

Definition at line 253 of file Drawable.h.

## Function Documentation

template<class InputIterator >

void Magick::animateImages | ( | InputIterator | first_,
|  | InputIterator | last_
| ) |  |

Definition at line 1998 of file STL.h.

References GetPPException, linkImages(), ThrowPPException, and unlinkImages().

template<class InputIterator >

void Magick::appendImages | ( | Image * | appendedImage_,
|  | InputIterator | first_,
|  | InputIterator | last_,
|  | bool | stack_ = `false`
| ) |  |

Definition at line 2012 of file STL.h.

References GetPPException, Image, linkImages(), Magick::Image::quiet(), Magick::Image::replaceImage(), ThrowPPException, and unlinkImages().

template<class Container >

void Magick::artifactNames | ( | Container * | names_,
|  | const Image * | image_
| ) |  |

Definition at line 2029 of file STL.h.

References Magick::Image::constImage().

template<class Container >

void Magick::attributeNames | ( | Container * | names_,
|  | const Image * | image_
| ) |  |

Definition at line 2047 of file STL.h.

References Magick::Image::constImage().

template<class InputIterator >

void Magick::averageImages | ( | Image * | averagedImage_,
|  | InputIterator | first_,
|  | InputIterator | last_
| ) |  |

Definition at line 2066 of file STL.h.

References GetPPException, Image, linkImages(), Magick::Image::quiet(), Magick::Image::replaceImage(), ThrowPPException, and unlinkImages().

MagickPPExport void Magick::CloneString | ( | char ** | destination_,
|  | const std::string & | source_
| ) |  |

Definition at line 22 of file Functions.cpp.

Referenced by Magick::Options::backgroundTexture(), Magick::Options::density(), Magick::ReadOptions::density(), Magick::Options::font(), Magick::Options::fontFamily(), Magick::Options::page(), Magick::Options::samplingFactor(), Magick::Options::size(), Magick::ReadOptions::size(), Magick::Options::textEncoding(), Magick::Options::tileName(), Magick::Montage::updateMontageInfo(), Magick::MontageFramed::updateMontageInfo(), Magick::Options::view(), and Magick::Options::x11Display().

template<class InputIterator , class Container >

void Magick::coalesceImages | ( | Container * | coalescedImages_,
|  | InputIterator | first_,
|  | InputIterator | last_
| ) |  |

Definition at line 2084 of file STL.h.

References GetPPException, Image, insertImages(), linkImages(), ThrowPPException, and unlinkImages().

template<class Container >

void Magick::coderInfoList | ( | Container * | container_,
|  | CoderInfo::MatchType | isReadable_ = `CoderInfo::AnyMatch`,
|  | CoderInfo::MatchType | isWritable_ = `CoderInfo::AnyMatch`,
|  | CoderInfo::MatchType | isMultiFrame_ = `CoderInfo::AnyMatch`
| ) |  |

Definition at line 2123 of file STL.h.

References Magick::CoderInfo::AnyMatch, Magick::CoderInfo::FalseMatch, GetPPException, Magick::CoderInfo::isMultiFrame(), Magick::CoderInfo::isReadable(), Magick::CoderInfo::isWritable(), throwException(), throwExceptionExplicit(), ThrowPPException, and Magick::CoderInfo::TrueMatch.

template<class Container >

void Magick::colorHistogram | ( | Container * | histogram_,
|  | const Image | image
| ) |  |

Definition at line 2229 of file STL.h.

References Color, Magick::Image::constImage(), GetPPException, Magick::Image::quiet(), and ThrowPPException.

template<class InputIterator >

void Magick::combineImages | ( | Image * | combinedImage_,
|  | InputIterator | first_,
|  | InputIterator | last_,
|  | const ChannelType | channel_
| ) |  |

Definition at line 2259 of file STL.h.

References GetPPException, Image, linkImages(), Magick::Image::quiet(), Magick::Image::replaceImage(), ThrowPPException, and unlinkImages().

Magick::Exception * Magick::createException | ( | const MagickCore::ExceptionInfo * | exception_ | ) |

Definition at line 701 of file Exception.cpp.

References formatExceptionMessage().

template<class Container >

void Magick::cropToTiles | ( | Container * | tiledImages_,
|  | const Image | image_,
|  | const Geometry & | geometry_
| ) |  |

Definition at line 2273 of file STL.h.

References Magick::Image::constImage(), GetPPException, Image, insertImages(), Magick::Image::quiet(), and ThrowPPException.

template<class InputIterator , class Container >

void Magick::deconstructImages | ( | Container * | deconstructedImages_,
|  | InputIterator | first_,
|  | InputIterator | last_
| ) |  |

Definition at line 2287 of file STL.h.

References GetPPException, Image, insertImages(), linkImages(), ThrowPPException, and unlinkImages().

MagickPPExport void Magick::DisableOpenCL | ( | void |  | ) |

Definition at line 28 of file Functions.cpp.

References GetPPException, and ThrowPPException.

template<class InputIterator >

void Magick::displayImages | ( | InputIterator | first_,
|  | InputIterator | last_
| ) |  |

Definition at line 2320 of file STL.h.

References GetPPException, linkImages(), ThrowPPException, and unlinkImages().

MagickPPExport bool Magick::EnableOpenCL | ( | const bool | useCache_ = `true` | ) |

Definition at line 36 of file Functions.cpp.

References GetPPException, and ThrowPPException.

template<class InputIterator >

void Magick::evaluateImages | ( | Image * | evaluatedImage_,
|  | InputIterator | first_,
|  | InputIterator | last_,
|  | const MagickEvaluateOperator | operator_
| ) |  |

Definition at line 2336 of file STL.h.

References GetPPException, Image, linkImages(), Magick::Image::quiet(), Magick::Image::replaceImage(), ThrowPPException, and unlinkImages().

template<class InputIterator >

void Magick::flattenImages | ( | Image * | flattendImage_,
|  | InputIterator | first_,
|  | InputIterator | last_
| ) |  |

Definition at line 2352 of file STL.h.

References GetPPException, Image, linkImages(), Magick::Image::quiet(), Magick::Image::replaceImage(), ThrowPPException, and unlinkImages().

std::string Magick::formatExceptionMessage | ( | const MagickCore::ExceptionInfo * | exception_ | ) |

Definition at line 686 of file Exception.cpp.

Referenced by createException().

template<class Container >

void Magick::forwardFourierTransformImage | ( | Container * | fourierImages_,
|  | const Image & | image_
| ) |  |

Definition at line 2368 of file STL.h.

References Magick::Image::constImage(), GetPPException, Image, insertImages(), Magick::Image::quiet(), and ThrowPPException.

template<class Container >

void Magick::forwardFourierTransformImage | ( | Container * | fourierImages_,
|  | const Image & | image_,
|  | const bool | magnitude_
| ) |  |

Definition at line 2386 of file STL.h.

References Magick::Image::constImage(), GetPPException, Image, insertImages(), Magick::Image::quiet(), and ThrowPPException.

template<class InputIterator >

void Magick::fxImages | ( | Image * | fxImage_,
|  | InputIterator | first_,
|  | InputIterator | last_,
|  | const std::string | expression
| ) |  |

Definition at line 2407 of file STL.h.

References GetPPException, Image, linkImages(), Magick::Image::quiet(), Magick::Image::replaceImage(), ThrowPPException, and unlinkImages().

MagickPPExport void Magick::InitializeMagick | ( | const char * | path_ | ) |

Definition at line 54 of file Functions.cpp.

References magick_initialized.

Referenced by main().

template<class Container >

void Magick::insertImages | ( | Container * | sequence_,
|  | MagickCore::Image * | images_
| ) |  |

Definition at line 1969 of file STL.h.

References Image.

Referenced by coalesceImages(), cropToTiles(), deconstructImages(), forwardFourierTransformImage(), montageImages(), morphImages(), optimizeImageLayers(), optimizePlusImageLayers(), readImages(), and separateImages().

template<class InputIterator >

bool Magick::linkImages | ( | InputIterator | first_,
|  | InputIterator | last_
| ) |  |

Definition at line 1925 of file STL.h.

References Image.

Referenced by animateImages(), appendImages(), averageImages(), coalesceImages(), combineImages(), deconstructImages(), displayImages(), evaluateImages(), flattenImages(), fxImages(), mapImages(), mergeImageLayers(), montageImages(), morphImages(), mosaicImages(), optimizeImageLayers(), optimizePlusImageLayers(), optimizeTransparency(), quantizeImages(), smushImages(), and writeImages().

template<class InputIterator >

void Magick::mapImages | ( | InputIterator | first_,
|  | InputIterator | last_,
|  | const Image & | mapImage_,
|  | bool | dither_ = `false`,
|  | bool | measureError_ = `false`
| ) |  |

Definition at line 2428 of file STL.h.

References Magick::Image::constImage(), GetPPException, Image, Magick::Image::isValid(), linkImages(), Magick::Image::quiet(), throwException(), and unlinkImages().

template<class InputIterator >

void Magick::mergeImageLayers | ( | Image * | mergedImage_,
|  | InputIterator | first_,
|  | InputIterator | last_,
|  | const ImageLayerMethod | method_
| ) |  |

Definition at line 2482 of file STL.h.

References GetPPException, Image, linkImages(), Magick::Image::quiet(), Magick::Image::replaceImage(), ThrowPPException, and unlinkImages().

template<class Container , class InputIterator >

void Magick::montageImages | ( | Container * | montageImages_,
|  | InputIterator | first_,
|  | InputIterator | last_,
|  | const Montage & | options_
| ) |  |

Definition at line 2497 of file STL.h.

References GetPPException, Image, insertImages(), Magick::Montage::label(), linkImages(), ThrowPPException, Magick::Montage::transparentColor(), unlinkImages(), and Magick::Montage::updateMontageInfo().

Referenced by main().

template<class InputIterator , class Container >

void Magick::morphImages | ( | Container * | morphedImages_,
|  | InputIterator | first_,
|  | InputIterator | last_,
|  | size_t | frames_
| ) |  |

Definition at line 2551 of file STL.h.

References GetPPException, Image, insertImages(), linkImages(), ThrowPPException, and unlinkImages().

Referenced by main().

template<class InputIterator >

void Magick::mosaicImages | ( | Image * | mosaicImage_,
|  | InputIterator | first_,
|  | InputIterator | last_
| ) |  |

Definition at line 2581 of file STL.h.

References GetPPException, Image, linkImages(), Magick::Image::quiet(), Magick::Image::replaceImage(), ThrowPPException, and unlinkImages().

MagickPPExport int Magick::operator!= | ( | const Magick::Color & | left_,
|  | const Magick::Color & | right_
| ) |  |

Definition at line 36 of file Color.cpp.

MagickPPExport int Magick::operator!= | ( | const Magick::Geometry & | left_,
|  | const Magick::Geometry & | right_
| ) |  |

Definition at line 42 of file Geometry.cpp.

MagickPPExport int Magick::operator!= | ( | const Magick::Image & | left_,
|  | const Magick::Image & | right_
| ) |  |

Definition at line 46 of file Image.cpp.

MagickPPExport int Magick::operator!= | ( | const Coordinate & | left_,
|  | const Coordinate & | right_
| ) |  |

Definition at line 27 of file Drawable.cpp.

MagickPPExport int Magick::operator!= | ( | const Magick::Offset & | left_,
|  | const Magick::Offset & | right_
| ) |  |

Definition at line 399 of file Geometry.cpp.

MagickPPExport int Magick::operator!= | ( | const Drawable & | left_,
|  | const Drawable & | right_
| ) |  |

Definition at line 109 of file Drawable.cpp.

MagickPPExport int Magick::operator!= | ( | const VPath & | left_,
|  | const VPath & | right_
| ) |  |

Definition at line 189 of file Drawable.cpp.

MagickPPExport int Magick::operator!= | ( | const PathArcArgs & | left_,
|  | const PathArcArgs & | right_
| ) |  |

Definition at line 1574 of file Drawable.cpp.

MagickPPExport int Magick::operator!= | ( | const PathCurvetoArgs & | left_,
|  | const PathCurvetoArgs & | right_
| ) |  |

Definition at line 1725 of file Drawable.cpp.

MagickPPExport int Magick::operator!= | ( | const PathQuadraticCurvetoArgs & | left_,
|  | const PathQuadraticCurvetoArgs & | right_
| ) |  |

Definition at line 1934 of file Drawable.cpp.

MagickPPExport int Magick::operator< | ( | const Magick::Color & | left_,
|  | const Magick::Color & | right_
| ) |  |

Definition at line 48 of file Color.cpp.

References Magick::Color::blueQuantum(), Magick::Color::greenQuantum(), and Magick::Color::redQuantum().

MagickPPExport int Magick::operator< | ( | const Magick::Geometry & | left_,
|  | const Magick::Geometry & | right_
| ) |  |

Definition at line 54 of file Geometry.cpp.

References Magick::Geometry::height(), and Magick::Geometry::width().

MagickPPExport int Magick::operator< | ( | const Magick::Image & | left_,
|  | const Magick::Image & | right_
| ) |  |

Definition at line 58 of file Image.cpp.

References Magick::Image::columns(), and Magick::Image::rows().

MagickPPExport int Magick::operator< | ( | const Coordinate & | left_,
|  | const Coordinate & | right_
| ) |  |

Definition at line 37 of file Drawable.cpp.

References Magick::Coordinate::x(), and Magick::Coordinate::y().

MagickPPExport int Magick::operator< | ( | const Drawable & | left_,
|  | const Drawable & | right_
| ) |  |

Definition at line 119 of file Drawable.cpp.

MagickPPExport int Magick::operator< | ( | const VPath & | left_,
|  | const VPath & | right_
| ) |  |

Definition at line 199 of file Drawable.cpp.

MagickPPExport int Magick::operator< | ( | const PathArcArgs & | left_,
|  | const PathArcArgs & | right_
| ) |  |

Definition at line 1584 of file Drawable.cpp.

MagickPPExport int Magick::operator< | ( | const PathCurvetoArgs & | left_,
|  | const PathCurvetoArgs & | right_
| ) |  |

Definition at line 1735 of file Drawable.cpp.

MagickPPExport int Magick::operator< | ( | const PathQuadraticCurvetoArgs & | left_,
|  | const PathQuadraticCurvetoArgs & | right_
| ) |  |

Definition at line 1946 of file Drawable.cpp.

MagickPPExport int Magick::operator<= | ( | const Magick::Color & | left_,
|  | const Magick::Color & | right_
| ) |  |

Definition at line 70 of file Color.cpp.

MagickPPExport int Magick::operator<= | ( | const Magick::Geometry & | left_,
|  | const Magick::Geometry & | right_
| ) |  |

Definition at line 66 of file Geometry.cpp.

MagickPPExport int Magick::operator<= | ( | const Magick::Image & | left_,
|  | const Magick::Image & | right_
| ) |  |

Definition at line 72 of file Image.cpp.

MagickPPExport int Magick::operator<= | ( | const Coordinate & | left_,
|  | const Coordinate & | right_
| ) |  |

Definition at line 49 of file Drawable.cpp.

MagickPPExport int Magick::operator<= | ( | const Drawable & | left_,
|  | const Drawable & | right_
| ) |  |

Definition at line 129 of file Drawable.cpp.

MagickPPExport int Magick::operator<= | ( | const VPath & | left_,
|  | const VPath & | right_
| ) |  |

Definition at line 209 of file Drawable.cpp.

MagickPPExport int Magick::operator<= | ( | const PathArcArgs & | left_,
|  | const PathArcArgs & | right_
| ) |  |

Definition at line 1594 of file Drawable.cpp.

MagickPPExport int Magick::operator<= | ( | const PathCurvetoArgs & | left_,
|  | const PathCurvetoArgs & | right_
| ) |  |

Definition at line 1745 of file Drawable.cpp.

MagickPPExport int Magick::operator<= | ( | const PathQuadraticCurvetoArgs & | left_,
|  | const PathQuadraticCurvetoArgs & | right_
| ) |  |

Definition at line 1958 of file Drawable.cpp.

MagickPPExport int Magick::operator== | ( | const Magick::Color & | left_,
|  | const Magick::Color & | right_
| ) |  |

Definition at line 20 of file Color.cpp.

References Magick::Color::blueQuantum(), Magick::Color::greenQuantum(), Magick::Color::isValid(), and Magick::Color::redQuantum().

MagickPPExport int Magick::operator== | ( | const Magick::Geometry & | left_,
|  | const Magick::Geometry & | right_
| ) |  |

Definition at line 24 of file Geometry.cpp.

References Magick::Geometry::aspect(), Magick::Geometry::fillArea(), Magick::Geometry::greater(), Magick::Geometry::height(), Magick::Geometry::isValid(), Magick::Geometry::less(), Magick::Geometry::limitPixels(), Magick::Geometry::percent(), Magick::Geometry::width(), Magick::Geometry::xNegative(), Magick::Geometry::xOff(), Magick::Geometry::yNegative(), and Magick::Geometry::yOff().

MagickPPExport int Magick::operator== | ( | const Magick::Image & | left_,
|  | const Magick::Image & | right_
| ) |  |

Definition at line 37 of file Image.cpp.

References Magick::Image::columns(), Magick::Image::rows(), and Magick::Image::signature().

MagickPPExport int Magick::operator== | ( | const Coordinate & | left_,
|  | const Coordinate & | right_
| ) |  |

Definition at line 22 of file Drawable.cpp.

References Magick::Coordinate::x(), and Magick::Coordinate::y().

MagickPPExport int Magick::operator== | ( | const Magick::Offset & | left_,
|  | const Magick::Offset & | right_
| ) |  |

Definition at line 392 of file Geometry.cpp.

References Magick::Offset::x(), and Magick::Offset::y().

MagickPPExport int Magick::operator== | ( | const Drawable & | left_,
|  | const Drawable & | right_
| ) |  |

Definition at line 104 of file Drawable.cpp.

MagickPPExport int Magick::operator== | ( | const VPath & | left_,
|  | const VPath & | right_
| ) |  |

Definition at line 184 of file Drawable.cpp.

MagickPPExport int Magick::operator== | ( | const PathArcArgs & | left_,
|  | const PathArcArgs & | right_
| ) |  |

Definition at line 1569 of file Drawable.cpp.

MagickPPExport int Magick::operator== | ( | const PathCurvetoArgs & | left_,
|  | const PathCurvetoArgs & | right_
| ) |  |

Definition at line 1720 of file Drawable.cpp.

MagickPPExport int Magick::operator== | ( | const PathQuadraticCurvetoArgs & | left_,
|  | const PathQuadraticCurvetoArgs & | right_
| ) |  |

Definition at line 1928 of file Drawable.cpp.

MagickPPExport int Magick::operator> | ( | const Magick::Color & | left_,
|  | const Magick::Color & | right_
| ) |  |

Definition at line 42 of file Color.cpp.

MagickPPExport int Magick::operator> | ( | const Magick::Geometry & | left_,
|  | const Magick::Geometry & | right_
| ) |  |

Definition at line 48 of file Geometry.cpp.

MagickPPExport int Magick::operator> | ( | const Magick::Image & | left_,
|  | const Magick::Image & | right_
| ) |  |

Definition at line 52 of file Image.cpp.

MagickPPExport int Magick::operator> | ( | const Coordinate & | left_,
|  | const Coordinate & | right_
| ) |  |

Definition at line 32 of file Drawable.cpp.

MagickPPExport int Magick::operator> | ( | const Drawable & | left_,
|  | const Drawable & | right_
| ) |  |

Definition at line 114 of file Drawable.cpp.

MagickPPExport int Magick::operator> | ( | const VPath & | left_,
|  | const VPath & | right_
| ) |  |

Definition at line 194 of file Drawable.cpp.

MagickPPExport int Magick::operator> | ( | const PathArcArgs & | left_,
|  | const PathArcArgs & | right_
| ) |  |

Definition at line 1579 of file Drawable.cpp.

MagickPPExport int Magick::operator> | ( | const PathCurvetoArgs & | left_,
|  | const PathCurvetoArgs & | right_
| ) |  |

Definition at line 1730 of file Drawable.cpp.

MagickPPExport int Magick::operator> | ( | const PathQuadraticCurvetoArgs & | left_,
|  | const PathQuadraticCurvetoArgs & | right_
| ) |  |

Definition at line 1940 of file Drawable.cpp.

MagickPPExport int Magick::operator>= | ( | const Magick::Color & | left_,
|  | const Magick::Color & | right_
| ) |  |

Definition at line 64 of file Color.cpp.

MagickPPExport int Magick::operator>= | ( | const Magick::Geometry & | left_,
|  | const Magick::Geometry & | right_
| ) |  |

Definition at line 60 of file Geometry.cpp.

MagickPPExport int Magick::operator>= | ( | const Magick::Image & | left_,
|  | const Magick::Image & | right_
| ) |  |

Definition at line 66 of file Image.cpp.

MagickPPExport int Magick::operator>= | ( | const Coordinate & | left_,
|  | const Coordinate & | right_
| ) |  |

Definition at line 44 of file Drawable.cpp.

MagickPPExport int Magick::operator>= | ( | const Drawable & | left_,
|  | const Drawable & | right_
| ) |  |

Definition at line 124 of file Drawable.cpp.

MagickPPExport int Magick::operator>= | ( | const VPath & | left_,
|  | const VPath & | right_
| ) |  |

Definition at line 204 of file Drawable.cpp.

MagickPPExport int Magick::operator>= | ( | const PathArcArgs & | left_,
|  | const PathArcArgs & | right_
| ) |  |

Definition at line 1589 of file Drawable.cpp.

MagickPPExport int Magick::operator>= | ( | const PathCurvetoArgs & | left_,
|  | const PathCurvetoArgs & | right_
| ) |  |

Definition at line 1740 of file Drawable.cpp.

MagickPPExport int Magick::operator>= | ( | const PathQuadraticCurvetoArgs & | left_,
|  | const PathQuadraticCurvetoArgs & | right_
| ) |  |

Definition at line 1952 of file Drawable.cpp.

template<class InputIterator , class Container >

void Magick::optimizeImageLayers | ( | Container * | optimizedImages_,
|  | InputIterator | first_,
|  | InputIterator | last_
| ) |  |

Definition at line 2599 of file STL.h.

References GetPPException, Image, insertImages(), linkImages(), ThrowPPException, and unlinkImages().

template<class InputIterator , class Container >

void Magick::optimizePlusImageLayers | ( | Container * | optimizedImages_,
|  | InputIterator | first_,
|  | InputIterator | last_
| ) |  |

Definition at line 2627 of file STL.h.

References GetPPException, Image, insertImages(), linkImages(), ThrowPPException, and unlinkImages().

template<class InputIterator >

void Magick::optimizeTransparency | ( | InputIterator | first_,
|  | InputIterator | last_
| ) |  |

Definition at line 2655 of file STL.h.

References GetPPException, linkImages(), ThrowPPException, and unlinkImages().

template<class Container >

void Magick::profileNames | ( | Container * | names_,
|  | const Image * | image_
| ) |  |

Definition at line 2668 of file STL.h.

References Magick::Image::constImage().

template<class InputIterator >

void Magick::quantizeImages | ( | InputIterator | first_,
|  | InputIterator | last_,
|  | bool | measureError_ = `false`
| ) |  |

Definition at line 2687 of file STL.h.

References GetPPException, Image, linkImages(), throwException(), and unlinkImages().

template<class Container >

void Magick::readImages | ( | Container * | sequence_,
|  | const std::string & | imageSpec_,
|  | ReadOptions & | options
| ) |  |

Definition at line 2723 of file STL.h.

References GetPPException, Image, Magick::ReadOptions::imageInfo(), insertImages(), Magick::ReadOptions::quiet(), and ThrowPPException.

Referenced by main(), and readImages().

template<class Container >

void Magick::readImages | ( | Container * | sequence_,
|  | const std::string & | imageSpec_
| ) |  |

Definition at line 2742 of file STL.h.

References readImages().

template<class Container >

void Magick::readImages | ( | Container * | sequence_,
|  | const Blob & | blob_,
|  | ReadOptions & | options
| ) |  |

Definition at line 2749 of file STL.h.

References Magick::Blob::data(), GetPPException, Image, Magick::ReadOptions::imageInfo(), insertImages(), Magick::Blob::length(), Magick::ReadOptions::quiet(), and ThrowPPException.

template<class Container >

void Magick::readImages | ( | Container * | sequence_,
|  | const Blob & | blob_
| ) |  |

Definition at line 2762 of file STL.h.

References readImages().

template<class Container >

void Magick::separateImages | ( | Container * | separatedImages_,
|  | const Image & | image_,
|  | const ChannelType | channel_
| ) |  |

Definition at line 2770 of file STL.h.

References Magick::Image::constImage(), GetPPException, Image, insertImages(), Magick::Image::quiet(), and ThrowPPException.

MagickPPExport void Magick::SetRandomSeed | ( | const unsigned long | seed | ) |

Definition at line 61 of file Functions.cpp.

template<class InputIterator >

void Magick::smushImages | ( | Image * | smushedImage_,
|  | InputIterator | first_,
|  | InputIterator | last_,
|  | const ssize_t | offset_,
|  | bool | stack_ = `false`
| ) |  |

Definition at line 2787 of file STL.h.

References GetPPException, Image, linkImages(), Magick::Image::quiet(), Magick::Image::replaceImage(), ThrowPPException, and unlinkImages().

MagickPPExport void Magick::TerminateMagick | ( | void |  | ) |

Definition at line 66 of file Functions.cpp.

References magick_initialized.

MagickPPExport void Magick::throwException | ( | MagickCore::ExceptionInfo * | exception_,
|  | const bool | quiet_ = `false`
| ) |  |

Referenced by coderInfoList(), mapImages(), quantizeImages(), Magick::Image::read(), and Magick::Image::throwImageException().

MagickPPExport void Magick::throwExceptionExplicit | ( | const MagickCore::ExceptionType | severity_,
|  | const char * | reason_,
|  | const char * | description_ = `(char *) NULL`
| ) |  |

Referenced by Magick::CoderInfo::CoderInfo(), coderInfoList(), Magick::Image::colorize(), Magick::Image::colorMap(), Magick::Image::colorMapSize(), Magick::Image::directory(), Magick::Image::format(), Magick::Image::geometry(), Magick::MutexLock::lock(), Magick::Options::magick(), Magick::Image::montageGeometry(), Magick::Image::morphology(), Magick::Image::morphologyChannel(), Magick::MutexLock::MutexLock(), Magick::Image::opaque(), Magick::Geometry::operator std::string(), Magick::Options::strokeDashArray(), Magick::Image::transparent(), Magick::Image::transparentChroma(), and Magick::MutexLock::unlock().

template<class InputIterator >

void Magick::unlinkImages | ( | InputIterator | first_,
|  | InputIterator | last_
| ) |  |

Definition at line 1955 of file STL.h.

References Image.

Referenced by animateImages(), appendImages(), averageImages(), coalesceImages(), combineImages(), deconstructImages(), displayImages(), evaluateImages(), flattenImages(), fxImages(), mapImages(), mergeImageLayers(), montageImages(), morphImages(), mosaicImages(), optimizeImageLayers(), optimizePlusImageLayers(), optimizeTransparency(), quantizeImages(), smushImages(), and writeImages().

template<class InputIterator >

void Magick::writeImages | ( | InputIterator | first_,
|  | InputIterator | last_,
|  | const std::string & | imageSpec_,
|  | bool | adjoin_ = `true`
| ) |  |

Definition at line 2805 of file STL.h.

References GetPPException, linkImages(), ThrowPPException, and unlinkImages().

Referenced by main().

template<class InputIterator >

void Magick::writeImages | ( | InputIterator | first_,
|  | InputIterator | last_,
|  | Blob * | blob_,
|  | bool | adjoin_ = `true`
| ) |  |

Definition at line 2831 of file STL.h.

References GetPPException, linkImages(), Magick::Blob::MallocAllocator, ThrowPPException, unlinkImages(), and Magick::Blob::updateNoCopy().

## Variable Documentation

MagickPPExport const char * Magick::borderGeometryDefault ="6x6+0+0"

Definition at line 33 of file Image.cpp.

class MagickPPExport Magick::Color

Definition at line 15 of file Color.h.

Referenced by Magick::Image::backgroundColor(), Magick::Image::borderColor(), colorHistogram(), Magick::Image::colorMap(), main(), Magick::Image::matteColor(), Magick::Montage::penColor(), and Magick::Montage::updateMontageInfo().

MagickPPExport const char * Magick::frameGeometryDefault ="25x25+6+6"

Definition at line 34 of file Image.cpp.

class MagickPPExport Magick::Geometry

Definition at line 19 of file Geometry.h.

Referenced by Magick::Image::boundingBox(), Magick::Options::density(), Magick::Image::density(), Magick::ReadOptions::density(), Magick::Image::geometry(), Magick::Image::isValid(), main(), Magick::Geometry::operator=(), Magick::Options::page(), Magick::Image::page(), Magick::Image::repage(), Magick::Options::size(), and Magick::ReadOptions::size().

class MagickPPExport Magick::Image

Definition at line 642 of file Drawable.h.

Referenced by Magick::Image::adaptiveBlur(), Magick::Image::adaptiveResize(), Magick::Image::adaptiveSharpen(), Magick::Image::adaptiveSharpenChannel(), Magick::Image::adaptiveThreshold(), Magick::Image::addNoise(), Magick::Image::addNoiseChannel(), Magick::Image::affineTransform(), appendImages(), Magick::Image::autoOrient(), averageImages(), Magick::Image::blueShift(), Magick::Image::blur(), Magick::Image::blurChannel(), Magick::Image::border(), Magick::Image::cannyEdge(), Magick::Image::charcoal(), Magick::Image::chop(), Magick::Image::clipMask(), coalesceImages(), Magick::Image::colorize(), Magick::Image::colorMatrix(), combineImages(), Magick::Image::compare(), Magick::Image::compareChannel(), Magick::Image::connectedComponents(), Magick::Image::convolve(), Magick::Image::crop(), cropToTiles(), deconstructImages(), Magick::Image::deskew(), Magick::Image::despeckle(), Magick::Image::distort(), Magick::Image::edge(), Magick::Image::emboss(), Magick::Image::enhance(), evaluateImages(), Magick::Image::extent(), Magick::DrawableCompositeImage::filename(), Magick::Options::fillColor(), Magick::Image::fillPattern(), flattenImages(), Magick::Image::flip(), Magick::Image::flop(), forwardFourierTransformImage(), Magick::Image::frame(), Magick::Image::fx(), fxImages(), Magick::Image::gaussianBlur(), Magick::Image::gaussianBlurChannel(), Magick::Image::houghLine(), Magick::Image::Image(), Magick::DrawableCompositeImage::image(), Magick::Image::implode(), insertImages(), Magick::Image::inverseFourierTransform(), Magick::Image::kuwahara(), Magick::Image::kuwaharaChannel(), linkImages(), Magick::Image::liquidRescale(), Magick::Image::localContrast(), Magick::Image::magnify(), mapImages(), Magick::Image::mask(), Magick::Image::medianFilter(), mergeImageLayers(), Magick::Image::mergeLayers(), Magick::Image::minify(), montageImages(), morphImages(), Magick::Image::morphology(), Magick::Image::morphologyChannel(), mosaicImages(), Magick::Image::motionBlur(), Magick::Image::oilPaint(), Magick::DrawableCompositeImage::operator=(), optimizeImageLayers(), optimizePlusImageLayers(), Magick::Image::penTexture(), Magick::Image::ping(), Magick::Image::polaroid(), quantizeImages(), Magick::Image::read(), readImages(), Magick::Image::reduceNoise(), Magick::Image::replaceImage(), Magick::Image::resample(), Magick::Image::resize(), Magick::Image::roll(), Magick::Image::rotate(), Magick::Image::rotationalBlur(), Magick::Image::rotationalBlurChannel(), Magick::Image::sample(), Magick::Image::scale(), Magick::Image::selectiveBlur(), Magick::Image::selectiveBlurChannel(), Magick::Image::separate(), separateImages(), Magick::Image::sepiaTone(), Magick::Image::shade(), Magick::Image::shadow(), Magick::Image::sharpen(), Magick::Image::sharpenChannel(), Magick::Image::shave(), Magick::Image::shear(), Magick::Image::sketch(), smushImages(), Magick::Image::sparseColor(), Magick::Image::splice(), Magick::Image::spread(), Magick::Image::stegano(), Magick::Image::stereo(), Magick::Options::strokeColor(), Magick::Image::strokePattern(), Magick::Image::subImageSearch(), Magick::Image::swirl(), Magick::Image::thumbnail(), Magick::Image::tint(), Magick::Image::transpose(), Magick::Image::transverse(), Magick::Image::trim(), Magick::Image::uniqueColors(), unlinkImages(), Magick::Image::unsharpmask(), Magick::Image::unsharpmaskChannel(), Magick::Image::vignette(), Magick::Image::wave(), Magick::Image::waveletDenoise(), and Magick::Image::zoom().

class MagickPPExport Magick::Offset

Definition at line 151 of file Geometry.h.

MagickPPExport const char * Magick::raiseGeometryDefault ="6x6+0+0"

Definition at line 35 of file Image.cpp.